Subject: [OKAIRP] Final Call for Proposals...

From: [email-masked]
Date: Tue, 29 Aug 2006 10:27:13 -0500

This is the final official call for proposals for presentation at the Fall 
2006 OKAIRP conference in Stillwater.  The conference date is Nov. 2 & 3 
and the main theme is "Best Practices in Research Methodology."  Again, 
topics should highlight good design, administration, and/or analysis 
techniques using available research, planning and/or assessment tools. 
Presentations should be approximately 45 minutes in length.  Send a 
proposal by emailing an abstract (approximately 100 words) to 
[email-masked] by this Friday.  Be sure to visit www.okairp.org for 
forthcoming details.

Your contributions are greatly appreciated.

Paul Johnson
OKAIRP President, 2006
(918) 595-7923
[email-masked]